%global pypi_name alembic

Name:           python-%{pypi_name}
Version:        0.8.4
Release:        %mkrel 1
Group:          Development/Python
Summary:        A database migration tool for SQLAlchemy

License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

Requires:       %{pypi_name}
Requires:       pythonegg(2)(mako)
Requires:       pythonegg(2)(sqlalchemy)

%description
A database migration tool for SQLAlchemy.

%package -n %{pypi_name}
Summary:        A database migration tool for SQLAlchemy
Group:          Development/Python

%description -n %{pypi_name}
A database migration tool for SQLAlchemy.

%package -n python3-%{pypi_name}
Summary:        A database migration tool for SQLAlchemy
Group:          Development/Python

Requires:       %{pypi_name}
Requires:       pythonegg(3)(mako)
Requires:       pythonegg(3)(sqlalchemy)

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{pypi_name}
A database migration tool for SQLAlchemy.
This is the Python 3 build of %{pypi_name}.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%{python2_sitelib}/%{pypi_name}*

%files -n %{pypi_name}
%{_bindir}/*

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}*


%changelog
* Wed Dec 16 2015 daviddavid <daviddavid> 0.8.4-1.mga6
+ Revision: 910866
- new version: 0.8.4
- use new python macros

* Fri Oct 09 2015 shlomif <shlomif> 0.8.2-1.mga6
+ Revision: 888372
- New version 0.8.2 + Rebuild for new Python3 3.5.x

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-8.mga5
+ Revision: 740372
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6.0-7.mga5
+ Revision: 728030
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-6.mga5
+ Revision: 687878
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.6.0-5.mga5
+ Revision: 629719
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 0.6.0-4.mga5
+ Revision: 628449
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 543040
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.0-2.mga4
+ Revision: 498087
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 neoclust <neoclust> 0.6.0-1.mga4
+ Revision: 492602
- imported package python-alembic

